Subject: bug#35035: 12.1.2; TeX-evince-sync-view locking up with this file

From: Faheem Mitha <[email-masked]>
Date: Fri, 29 Mar 2019 02:32:50 +0530 (IST)

Hi,

I managed to get `TeX-evince-sync-view` to consistently lock up with
this file. I realise this is a pathological case, but I still think
that it could be handled better.

I wrote a question on TeX Stack Exchange, which is currently at
https://tex.stackexchange.com/q/481892/3406

I'll mostly just reproduce that question below. The file also appears
below.

When I compile this file with AUCTeX, it shows that one page has been
compiled. When I try to view it, using `TeX-evince-sync-view`, it
shows a blank view. After I kill it, `TeX-evince-sync-view` stops
responding, and gives me a D-Bus error: "call timed out" message. I
suppose this is because the only LaTeX file here is in a different
file, and the main file doesn't have any content, but AUCTeX really
should cope better. Can anyone reproduce this?

Suggestions how to unstop D-Bus in this sort of situation (just for my
reference) would also be helpful.

Regards, Faheem Mitha

##################################################################################################

\documentclass[12pt]{article}
\usepackage{filecontents}
\usepackage{shellesc}
\usepackage{tikz}
\usepackage{pdfpages}
\begin{document}

\begin{filecontents*}{foo.tex}
\documentclass[12pt]{article}
\usepackage{tikz}
\begin{document}
\begin{tikzpicture}  % This will be output to foo
\node [font=\bfseries\Large, align=center] at (7, 4.1){TEST};
\end{tikzpicture}
\end{document}
\end{filecontents*}

\ShellEscape{pdflatex -shell-escape foo.tex}
\end{document}

##################################################################################################

Emacs  : GNU Emacs 25.1.1 (x86_64-pc-linux-gnu, GTK+ Version 3.22.11)
  of 2017-09-15, modified by Debian
Package: 12.1.2

current state:
==============
(setq
  AUCTeX-date "2019-02-08"
  window-system 'x
  LaTeX-version "2e"
  TeX-style-path '("~/.emacs.d/auctex" "/home/faheem/.emacs.d/elpa/auctex-12.1.2/style"
 		  "/home/faheem/.emacs.d/auctex/auto" "/home/faheem/.emacs.d/auctex/style" "auto" "style")
  TeX-auto-save t
  TeX-parse-self t
  TeX-master t
  TeX-command-list '(("TeX" "%(PDF)%(tex) %(file-line-error) %`%(extraopts) %S%(PDFout)%(mode)%' %t"
 		     TeX-run-TeX nil (plain-tex-mode ams-tex-mode texinfo-mode) :help "Run plain TeX")
 		    ("LaTeX" "%`%l%(mode)%' %T" TeX-run-TeX nil (latex-mode doctex-mode) :help "Run LaTeX")
 		    ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil (texinfo-mode) :help
 		     "Run Makeinfo with Info output")
 		    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t" TeX-run-compile nil (texinfo-mode)
 		     :help "Run Makeinfo with HTML output")
 		    ("AmSTeX" "amstex %(PDFout) %`%(extraopts) %S%(mode)%' %t" TeX-run-TeX nil
 		     (ams-tex-mode) :help "Run AMSTeX")
 		    ("ConTeXt" "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t" TeX-run-TeX nil
 		     (context-mode) :help "Run ConTeXt once")
 		    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t" TeX-run-TeX nil (context-mode)
 		     :help "Run ConTeXt until completion")
 		    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help "Run BibTeX")
 		    ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
 		    ("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer")
 		    ("Print" "%p" TeX-run-command t t :help "Print the file")
 		    ("Queue" "%q" TeX-run-background nil t :help "View the printer queue" :visible
 		     TeX-queue-command)
 		    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t t :help "Generate PostScript file")
 		    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil t :help
 		     "Convert DVI file to PostScript")
 		    ("Dvipdfmx" "dvipdfmx %d" TeX-run-dvipdfmx nil t :help
 		     "Convert DVI file to PDF with dvipdfmx")
 		    ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil t :help "Convert PostScript file to PDF")
 		    ("Glossaries" "makeglossaries %s" TeX-run-command nil t :help
 		     "Run makeglossaries to create glossary file")
 		    ("Index" "makeindex %s" TeX-run-index nil t :help "Run makeindex to create index file")
 		    ("upMendex" "upmendex %s" TeX-run-index t t :help "Run upmendex to create index file")
 		    ("Xindy" "texindy %s" TeX-run-command nil t :help "Run xindy to create index file")
 		    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help
 		     "Check LaTeX file for correctness")
 		    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode) :help
 		     "Check LaTeX file for common mistakes")
 		    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help
 		     "Spell-check the document")
 		    ("Clean" "TeX-clean" TeX-run-function nil t :help "Delete generated intermediate files")
 		    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
 		     "Delete generated intermediate and output files")
 		    ("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
  )